summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-tcltk/tkimg
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-tcltk/tkimg')
-rw-r--r--dev-tcltk/tkimg/Manifest2
-rw-r--r--dev-tcltk/tkimg/files/tkimg-1.4-png2.patch36
-rw-r--r--dev-tcltk/tkimg/metadata.xml11
-rw-r--r--dev-tcltk/tkimg/tkimg-1.4-r9.ebuild92
4 files changed, 141 insertions, 0 deletions
diff --git a/dev-tcltk/tkimg/Manifest b/dev-tcltk/tkimg/Manifest
new file mode 100644
index 00000000000..4f362df8e45
--- /dev/null
+++ b/dev-tcltk/tkimg/Manifest
@@ -0,0 +1,2 @@
+DIST tkimg-1.4-patchset-1.tar.xz 17956 SHA256 b1eb9db771928ea71edb17852b23c6b760c112e3c776be51502b4f8b2cbd75f4 SHA512 bd20e0beaa224c42e856e6d44d86c2a5f04c28d096c561f44c4afcf8c821bf859c602156a9be60f23f906e8da2f43c89ca358d32e8f9497296e7c5a5bf23ed69 WHIRLPOOL 39099d752c4e6ccd96640c1287c218fff261a98e04455b9e8cba5c2aa308186916bc3583e4941c87f73323b3e46731ba2ed86358c10ab85cb6b913931585a778
+DIST tkimg1.4.tar.bz2 4912894 SHA256 a6beb98a8f98040f979eee60c133319f4338f1a5a3ab87379fb69b473e73e3b1 SHA512 b03aba6e21e35b8733dbc4fa66fae67284a05e68248e5afb2a85c1520c74d0c6c5091860a3ab682f4a662a318c562339e9b7b82f050e63bbf48d1b4757d379a1 WHIRLPOOL 0ace52c074389c09de240922c95a40ff4b1ab01d5bc060fca168396abad11a845326d15e582b039da6062c1b2780cee572299d21902947edd90195d4b99e6089
diff --git a/dev-tcltk/tkimg/files/tkimg-1.4-png2.patch b/dev-tcltk/tkimg/files/tkimg-1.4-png2.patch
new file mode 100644
index 00000000000..195e9be43fa
--- /dev/null
+++ b/dev-tcltk/tkimg/files/tkimg-1.4-png2.patch
@@ -0,0 +1,36 @@
+--- png/png.c.orig 2010-06-17 06:40:24.000000000 -0700
++++ png/png.c 2013-04-23 20:57:32.000000000 -0700
+@@ -332,6 +332,16 @@
+ png_set_expand(png_ptr);
+ }
+
++ if (png_get_sRGB && png_get_sRGB(png_ptr, info_ptr, &intent)) {
++ png_set_sRGB(png_ptr, info_ptr, intent);
++ } else if (png_get_gAMA) {
++ double gamma;
++ if (!png_get_gAMA(png_ptr, info_ptr, &gamma)) {
++ gamma = 0.45455;
++ }
++ png_set_gamma(png_ptr, 1.0, gamma);
++ }
++
+ png_read_update_info(png_ptr,info_ptr);
+ block.pixelSize = png_get_channels(png_ptr, info_ptr);
+ block.pitch = png_get_rowbytes(png_ptr, info_ptr);
+@@ -353,16 +363,6 @@
+ block.offset[3] = 0;
+ }
+
+- if (png_get_sRGB && png_get_sRGB(png_ptr, info_ptr, &intent)) {
+- png_set_sRGB(png_ptr, info_ptr, intent);
+- } else if (png_get_gAMA) {
+- double gamma;
+- if (!png_get_gAMA(png_ptr, info_ptr, &gamma)) {
+- gamma = 0.45455;
+- }
+- png_set_gamma(png_ptr, 1.0, gamma);
+- }
+-
+ png_data= (char **) ckalloc(sizeof(char *) * info_height +
+ info_height * block.pitch);
+
diff --git a/dev-tcltk/tkimg/metadata.xml b/dev-tcltk/tkimg/metadata.xml
new file mode 100644
index 00000000000..0e009fd6d05
--- /dev/null
+++ b/dev-tcltk/tkimg/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>tcltk</herd>
+ <longdescription lang="en">
+ The "Img" package adds a lot of image formats to Tcl/Tk.
+</longdescription>
+ <upstream>
+ <remote-id type="sourceforge">tkimg</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-tcltk/tkimg/tkimg-1.4-r9.ebuild b/dev-tcltk/tkimg/tkimg-1.4-r9.ebuild
new file mode 100644
index 00000000000..3835d73f12e
--- /dev/null
+++ b/dev-tcltk/tkimg/tkimg-1.4-r9.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+VIRTUALX_USE=test
+
+inherit eutils multilib prefix toolchain-funcs virtualx
+
+MYP="${PN}${PV}"
+
+DESCRIPTION="Adds a lot of image formats to Tcl/Tk"
+HOMEPAGE="http://tkimg.sourceforge.net/"
+SRC_URI="
+ http://dev.gentoo.org/~jlec/distfiles/${P}-patchset-1.tar.xz
+ mirror://sourceforge/${PN}/${PV}/${MYP}.tar.bz2"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
+IUSE="doc test static-libs"
+
+RDEPEND="
+ dev-lang/tk
+ >=dev-tcltk/tcllib-1.11
+ media-libs/tiff:0=
+ >=media-libs/libpng-1.6:0=
+ >=sys-libs/zlib-1.2.7:=
+ x11-libs/libX11
+ virtual/jpeg"
+DEPEND="${RDEPEND}
+ test? (
+ x11-apps/xhost
+ media-fonts/font-misc-misc
+ media-fonts/font-cursor-misc )"
+
+# Fails with jpeg-turbo silently, #386253
+#RESTRICT="test"
+
+S="${WORKDIR}/${MYP}"
+
+src_prepare() {
+ epatch \
+ "${WORKDIR}"/${P}-jpeg.patch \
+ "${WORKDIR}"/${P}-tiff.patch \
+ "${WORKDIR}"/${P}-png.patch \
+ "${FILESDIR}"/${P}-png2.patch \
+ "${WORKDIR}"/${P}-zlib.patch
+
+ find compat/{libjpeg,libpng,zlib,libtiff} -delete
+
+ sed \
+ -e 's:-O2 -fomit-frame-pointer::g' \
+ -e 's: -pipe::g' \
+ -i */configure || die
+
+ eprefixify */*.h
+ tc-export AR
+}
+
+src_test() {
+ Xemake test || die "Xmake failed"
+}
+
+src_install() {
+ local l bl
+
+ emake \
+ DESTDIR="${D}" \
+ INSTALL_ROOT="${D}" \
+ install
+
+ if ! use static-libs; then
+ find "${ED}"/usr/$(get_libdir)/ -type f -name "*\.a" -delete || die
+ fi
+
+ # Make library links
+ for l in "${ED}"/usr/lib*/Img*/*tcl*.so; do
+ bl=$(basename $l)
+ dosym Img1.4/${bl} /usr/$(get_libdir)/${bl}
+ done
+
+ dodoc ChangeLog README Reorganization.Notes.txt changes ANNOUNCE
+
+ if use doc; then
+ insinto /usr/share/doc/${PF}
+ doins demo.tcl
+ insinto /usr/share/doc/${PF}/html
+ doins -r doc/*
+ fi
+}